Project

General

Profile

Bug(バグ) #748

APIを呼び出すとエラーが出て使用できない

Added by pnetan   over 11 years ago. Updated over 11 years ago.

Status:
Fixed(完了)
Priority:
Normal(通常)
Target version:
Start date:
2010-02-24
Due date:
% Done:

100%

3.6 で発生するか:
Unknown (未調査)
[QA]バグ通知済:
No
3.8 で発生するか:
Unknown (未調査)

Description

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=23720 より転載

openpne 3.4.1
APIを呼び出すと以下のエラーが出て使用できない

Configuration file "/var/www2/OpenPNE3/lib/vendor/symfony/lib/config/config/filters.yml" specifies category "common" with missing class key.

symfony 1.4 にアップグレードしたことによるエラー

まず、ファイル探し
find ./ -name filters.yml|xargs grep common
以下のファイルのみ見つかったので他のプラグインはこの問題はなさそう。

plugins/opWebAPIPlugin/apps/api/modules/feeds/config/filters.yml

common を削除することで、修正できる

参考 http://trac.symfony-project.org/ticket/7156

History

#1 Updated by Kiwa Sakai over 11 years ago

  • Assignee set to Kousuke Ebihara

http://github.com/kiwpon/opWebAPIPlugin/commit/e30922b7aec1e6ec19dfb4f9e17156cc1e6c3db8

修正しました。取り込みの検討をお願いします。

#2 Updated by Kousuke Ebihara over 11 years ago

  • Status changed from New(新規) to Accepted(着手)
  • Target version set to 0.4.0

#4 Updated by Kousuke Ebihara over 11 years ago

  • Status changed from Accepted(着手) to Fixed(完了)
  • % Done changed from 0 to 100

Also available in: Atom PDF